import { TemporalLike } from './polyfill/temporal';
export declare function toDate(date: Date | number | string | TemporalLike | undefined, options?: Intl.DateTimeFormatOptions | undefined): {
    date: Date;
    options: Intl.DateTimeFormatOptions;
    type: 'instant' | 'plainDateTime' | 'plainDate' | 'plainTime';
};
export declare function arrEquals(a?: any[], b?: any[]): boolean;
export declare function castArray<T>(x?: T | readonly T[]): readonly T[];
export declare function calcLocales(locale: string, fallbackToLessSpecific: boolean, fallback?: string | readonly string[] | ((locale: string) => string | readonly string[])): readonly string[];
